AGG is currently in alpha. APIs, components, and docs may change.
curl --request POST \
--url https://api.agg.market/execution/redeem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-app-id: <api-key>' \
--data '
{
"venueMarketOutcomeIds": [
"<string>"
]
}
'{
"redeemId": "<string>",
"results": [
{
"venueMarketOutcomeId": "<string>",
"status": "submitted",
"callsId": "<string>",
"pendingUserOpId": "<string>",
"txHash": "<string>",
"reason": "<string>"
}
]
}Converts a user’s winning prediction-market positions to USDC. EVM venues submit gas-sponsored transactions and complete asynchronously via ws redeem_event; Kalshi via dFlow credits synchronously after Solana confirmation.
curl --request POST \
--url https://api.agg.market/execution/redeem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-app-id: <api-key>' \
--data '
{
"venueMarketOutcomeIds": [
"<string>"
]
}
'{
"redeemId": "<string>",
"results": [
{
"venueMarketOutcomeId": "<string>",
"status": "submitted",
"callsId": "<string>",
"pendingUserOpId": "<string>",
"txHash": "<string>",
"reason": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.agg.market/llms.txt
Use this file to discover all available pages before exploring further.
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
1 - 20 elements